##### 7.5.24.0. SymGroup

Procedure from library `qmatrix.lib` (see qmatrix_lib).

Usage:
  SymGroup(n); n an integer (positive)

Return:
  intmat

Purpose:
  represent the symmetric group S(n) via integer vectors (permutations)

Note:
  each row of the output integer matrix is an element of S(n)

Example:

    LIB "qmatrix.lib";
    //  "S(3)={(1,2,3),(1,3,2),(3,1,2),(2,1,3),(2,3,1),(3,2,1)}";
    SymGroup(3);
    ==> 1,2,3,
    ==> 1,3,2,
    ==> 3,1,2,
    ==> 2,1,3,
    ==> 2,3,1,
    ==> 3,2,1

See also: LengthSym; LengthSymElement.

User manual for Singular version 4.4.1, 2025, generated by texi2html.